update-apt-xapian-index crashed with OSError in <module>()

Bug #263187 reported by Charles Weng
258
This bug affects 18 people
Affects Status Importance Assigned to Milestone
apt-xapian-index (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: apt-xapian-index

Description: Ubuntu intrepid (development branch)
Release: 8.10

apt-xapian-index:
  已安装:0.15
  候选的软件包:0.15
  版本列表:
 *** 0.15 0
        500 http://ubuntu.cn99.com intrepid/main Packages
        100 /var/lib/dpkg/status

This error was happened while I was starting up synaptic without root, but synaptic seems worked normally.

ProblemType: Crash
Architecture: i386
DistroRelease: Ubuntu 8.10
ExecutablePath: /usr/sbin/update-apt-xapian-index
InterpreterPath: /usr/bin/python2.5
Package: apt-xapian-index 0.15
PackageArchitecture: all
ProcAttrCurrent: unconfined
ProcCmdline: /usr/bin/python /usr/sbin/update-apt-xapian-index -q
ProcEnviron:
 SHELL=/bin/bash
 PATH=/home/username/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=zh_CN.UTF-8
PythonArgs: ['/usr/sbin/update-apt-xapian-index', '-q']
SourcePackage: apt-xapian-index
Title: update-apt-xapian-index crashed with OSError in <module>()
Traceback:
 Traceback (most recent call last):
   File "/usr/sbin/update-apt-xapian-index", line 511, in <module>
     lockfd = os.open(XAPIANDBLOCK, os.O_RDWR | os.O_CREAT)
 OSError: [Errno 13] Permission denied: '/var/lib/apt-xapian-index/update-lock'
Uname: Linux 2.6.27-2-generic i686
UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin plugdev vboxusers video

Revision history for this message
Charles Weng (wengdi00000) wrote :
Revision history for this message
Michael Nagel (nailor) wrote :

synaptic shows this error when starting non-root for me, too.

Changed in apt-xapian-index:
status: New → Confirmed
Revision history for this message
kseise (kevin-seise) wrote :

This happened just after a reboot following an update to Jaunty Beta.

Revision history for this message
Will Daniels (wdaniels) wrote :

Same here after just upgrading to Jaunty beta.

Revision history for this message
Will Daniels (wdaniels) wrote :

Oops, that was a little premature, my error is not the same. If I run the command as root:

Traceback (most recent call last):
  File "/usr/sbin/update-apt-xapian-index", line 486, in <module>
    import os.path, re, imp, glob, xapian, textwrap, shutil, fcntl, errno, itertools, time
ImportError: No module named xapian

The crash report complains that update-apt-xapian-index is not a packaged program, which dpkg agrees. I have no idea what this "xapian" module is, where to find it, what the command is doing...google has not been much help so far...

Revision history for this message
lvn (lvn-1503) wrote :

Same here after just upgrading to Karmic Koala alpha 5

Revision history for this message
dino99 (9d9) wrote :

That version has died long ago; no more supported

Changed in apt-xapian-index (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers